<% if @section.present? %>
  <%= @assignment.test.name %>

  <div id="time-remaining" style="float: right;"></div>
  <div id='section-view'>
    <%= render "section_started" %>
  </div>

  <script>
    var timeRemaining = <%= @time_remaining %>;

    var showTimeRemaining = function() {
      $("#time-remaining").html("Time remaining: " + timeRemaining + " mins");
    };

    var timer = window.setInterval(function(){
     timeRemaining -= 1;
     showTimeRemaining();

     if(timeRemaining == 0) {
      window.clearInterval(timer);

       window.location.href = "<%= complete_user_assignment_path(@assignment) %>";
      }
    }, 1000 * 60);

    showTimeRemaining();
  </script>
  <% else %>
  <strong style="display: block; text-align: center;">No Questions</strong>
<% end %>

